# Yahoo! UI Library

### Charts Widget 2.9.0

Yahoo! UI Library > charts > YAHOO.widget.CategoryAxis
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.CategoryAxis

A type of axis that displays items in categories.

### Constructor

YAHOO.widget.CategoryAxis `( )`

### Properties

#### calculateCategoryCount - `Boolean`

Indicates whether or not to calculate the number of categories (ticks and labels) when there is not enough room to display all labels on the axis. If set to true, the axis will determine the number of categories to plot. If not, all categories will be plotted.

#### categoryNames - `Array`

A list of category names to display along this axis.

Copyright © 2011 Yahoo! Inc. All rights reserved.